Ingest Upload
ファイル(PDF/Markdown/テキスト)を抽出して Ingest する(Section 16)。editor 以上。
POST
/sources/uploadHeader parameters
authorizationstring | anyX-Api-Keystring | anyRequest body
requiredmultipart/form-datafilestring<binary>requiredResponses
200Successful Response
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredRequest
curl -X POST "/sources/upload" \
-H "Content-Type: multipart/form-data" \
-d '{
"file": "<binary>"
}'const response = await fetch("/sources/upload", {
method: "POST",
headers: {
"Content-Type": "multipart/form-data"
},
body: JSON.stringify({
"file": "<binary>"
})
});import requests
response = requests.post(
"/sources/upload",
headers={
"Content-Type": "multipart/form-data"
},
json={
"file": "<binary>"
},
)Response
"string"{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}